<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<app-collapsible
  [(appCollapsed)]="appCollapsed"
  [appTitle]="'details.information.title' | translate">

  <div class="information">

    <div class="information-display-container">
      <span class="information--identifiers--key">{{"statementInformationForm.controls.title" | translate}}</span>
      <span>{{appStatementInfo?.title}}</span>
      <span class="information--identifiers--key">{{"statementInformationForm.controls.typeId" | translate}}</span>
      <span>{{statementType}}</span>
      <span
        class="information--identifiers--key">{{"statementInformationForm.controls.creationDate" | translate}}</span>
      <span>{{(appStatementInfo?.creationDate | appMomentPipe)?.format(timeFormat)}}</span>
      <span class="information--identifiers--key">{{"statementInformationForm.controls.receiptDate" | translate}}</span>
      <span>{{(appStatementInfo?.receiptDate | appMomentPipe)?.format(timeFormat)}}</span>
      <span class="information--identifiers--key">{{"statementInformationForm.controls.departmentsDueDate" | translate}}</span>
      <span>{{(appStatementInfo?.departmentsDueDate | appMomentPipe)?.format(timeFormat)}}</span>
      <span class="information--identifiers--key">{{"statementInformationForm.controls.dueDate" | translate}}</span>
      <span>{{(appStatementInfo?.dueDate | appMomentPipe)?.format(timeFormat)}}</span>
      <span class="information--identifiers--key">{{"statementInformationForm.controls.city" | translate}}</span>
      <span>{{appStatementInfo?.city}}</span>
      <span class="information--identifiers--key">{{"statementInformationForm.controls.district" | translate}}</span>
      <span>{{appStatementInfo?.district}}</span>
      <span class="information--identifiers--key">{{"statementInformationForm.controls.sectors" | translate}}</span>
      <span>
        {{(sectors$ | async | sector : appStatementInfo?.city : appStatementInfo?.district) ?
        (sectors$ | async | sector : appStatementInfo?.city : appStatementInfo?.district) :
        "shared.sectors.none" | translate}}
      </span>
      <span *ngIf="appStatementInfo?.customerReference"
            class="information--identifiers--key">{{"statementInformationForm.controls.customerReference" | translate}}</span>
      <span *ngIf="appStatementInfo?.customerReference">{{appStatementInfo?.customerReference}}</span>
    </div>

    <div class="information--contact-details">
      <span class="information--identifiers--key">{{"statementInformationForm.container.contact" | translate}}</span>
      <div class="information--identifiers">
        <span>{{appContactInfo?.company}}</span>
        <span>{{appContactInfo?.firstName}} {{appContactInfo?.lastName}}</span>
        <span>{{appContactInfo?.street}} {{appContactInfo?.houseNumber}}</span>
        <span>{{appContactInfo?.postCode}} {{appContactInfo?.community}} {{appContactInfo?.communitySuffix}}</span>
        <span>{{appContactInfo?.email}}</span>
      </div>
    </div>

  </div>

</app-collapsible>
